File: changelog

package info (click to toggle)
kombu 4.2.1-3
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 2,664 kB
  • sloc: python: 20,988; makefile: 212
file content (384 lines) | stat: -rw-r--r-- 12,939 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
kombu (4.2.1-3) unstable; urgency=medium

  [ Josue Ortega ]
  * Team upload.
  * Add debian/patch/0005-Fix-compat-with-redis3.patch to fix compatibility with
    python-redis (>= 3) (Closes: #924976).

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Apr 2019 21:04:43 +0200

kombu (4.2.1-2) unstable; urgency=high

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * Apply upstream patch PR#978 to fix failing unittests of pyamqp
    transport (Closes: #921787).
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Mar 2019 20:03:25 +0100

kombu (4.2.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Michael Fladischer ]
  * Fix default branch in debian/gbp.conf.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * New upstream release.
  * Refresh patches.
  * Add patch to remove pytest-sugar from test requirements.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Install examples in python-kombu-doc.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 Jun 2018 10:02:04 +0200

kombu (4.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * Ran wrap-and-sort -bast to minimize diffs.
  * Added myself as uploader.
  * Correctly builds sphinx doc in override_dh_sphinxdoc, and understand
    build-profiles nodoc and nocheck..
  * Removed useless X-Python-Version: >= 2.7 and X-Python3-Version: >= 3.3
    fields.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Nov 2017 21:45:14 +0000

kombu (4.1.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Remove repack script as upstream has merged the ICC profile removal.
  * Add new upstream signing key.
  * Add patch disabling intersphinx to prevent network requests during
    build.
  * Bump Standards-Version to 4.0.0.
  * Remove Artistic and GPL-1+ licenses from d/copyright as
    debian/repack.stub is no longer present.

 -- Michael Fladischer <fladi@debian.org>  Sun, 30 Jul 2017 23:07:32 +0200

kombu (4.0.2+really4.0.2+dfsg-2) experimental; urgency=medium

  [ Brian May ]
  * Add missing build depends on python-vine and python3-vine.
    Closes: #858540.

  [ Christopher Hoskin ]
  * Change package version to 4.0.2+really4.0.2+dfsg-2 after accidently
    uploading to unstable rather than experimental

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 31 Mar 2017 09:12:12 +0100

kombu (4.0.2+dfsg-1) experimental; urgency=medium

  * Refresh patches after git-dpm to gbp pq conversion
  * Import new upstream release (4.0.2)
  * Remove redundant patches
  * Update build dependencies
  * Add myself to Uploaders
  * Update copyright file
  * Add patch to remove image from remote donation site (privacy issue)
  * Set http(s) proxys to localhost whilst building docs
  * Remove nose from build dependencies (pytest now used)
  * Remove nose from CI tests

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 21 Mar 2017 21:51:21 +0000

kombu (4.0.2+really3.0.35+dfsg-2) unstable; urgency=medium

  * Revert mistaken upload of 4.0.2 to unstable instead of experimental

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 24 Mar 2017 20:27:37 +0000

kombu (3.0.35+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix "Non-Free ICC profiles in images" add repack scripts to remove
    (Closes: #855502)
  * Remove all egg-info in debian/clean
  * Add Artistic and GPL to debian/copyright for repack.stub
  * Bump standards version from 3.9.7 to 3.9.8 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 19 Feb 2017 11:37:19 +0000

kombu (3.0.35-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Added missing build-depends-indep on python{3,}-funcsigs (Closes: #811477).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Apr 2016 17:02:00 +0000

kombu (3.0.35-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Wed, 06 Apr 2016 13:08:03 +1000

kombu (3.0.33-1) unstable; urgency=medium

  * New upstream release.

 -- Brian May <bam@debian.org>  Tue, 19 Jan 2016 13:12:11 +1100

kombu (3.0.32-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 02 Jan 2016 16:57:52 +0100

kombu (3.0.30-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 07 Dec 2015 21:25:47 +1100

kombu (3.0.29-2) unstable; urgency=medium

  * Fix FTBS issues by applying upstream patch. Closes: #806334.

 -- Brian May <bam@debian.org>  Sun, 29 Nov 2015 09:34:41 +1100

kombu (3.0.29-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 10:06:35 +1100

kombu (3.0.27-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 9.

 -- Michael Fladischer <fladi@debian.org>  Mon, 12 Oct 2015 08:44:19 +0200

kombu (3.0.26-2) unstable; urgency=medium

  * Add fix_mock_tests.patch to fix assertions usage in redis tests
    (Closes: #796438).
  * Update Homepage field (Closes: #770476).

 -- Michael Fladischer <fladi@debian.org>  Wed, 24 Jun 2015 10:56:18 +0200

kombu (3.0.26-1) unstable; urgency=medium

  * New upstream release.
  * Format packaging code with wrap-and-sort.
  * Add versioned Depends and Build-Depends on python-amqp and python3-
    amqp for (>= 1.4.6).
  * Remove unnecessary or nonexistant packages from Depends and Build-Depends.
     - python3-sphinx
     - python3-couchdb
     - python3-beanstalkc
     - python3-pika
     - python3-pymongo (no versioned dependency)
  * Fix path for couchdb.py transport file in d/copyright and add author
    email.
  * Drop XS-Testsuite as dpkg can now do autodetection.
  * Format lines in d/control for easier reading.
  * Bump Standards-Version to 3.9.6.
  * Add fix_test_pymongo_uri_options.patch to fix pymongo URI related
    test.
  * Provide unique short and long description for python3-kombu.
  * Set minimum Python3 version to >= 3.3.
  * Set minimum Python version to >= 2.7.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 19 May 2015 12:09:41 +0200

kombu (3.0.21-2) unstable; urgency=low

  * Python3 package. Closes: #754047.
  * New upstream release. Closes: #757691.
  * Remove recommends/build-depends on python-librabbitmq as it is still
    broken.

 -- Brian May <bam@debian.org>  Mon, 11 Aug 2014 11:56:03 +1000

kombu (3.0.19-3) unstable; urgency=low

  * Add python-librabbitmq (>= 1.5.2) to Recommends as a optional faster
    transport than python-amqp.
  * Add python-librabbitmq (>= 1.5.2) to Build-Depends to enable additional
    tests during build.
  * Drop versioned dependencies on python-amqp as there are no older releases
    in the archive.
  * Run wrap-and-sort on the packaging code.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 09 Aug 2014 16:33:05 +0200

kombu (3.0.19-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Fix output redirection for nose tests used in autopkgtest (see #460242).

  [ Brian May ]
  * Remove depends on python-librabbitmq, as python-librabbitmq is broken
    (see #747270). python-amqp should be sufficient.

 -- Brian May <bam@debian.org>  Tue, 22 Jul 2014 15:20:26 +1000

kombu (3.0.19-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtest that runs the upstream test suite against the installed
    package.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Jun 2014 10:30:21 +0200

kombu (3.0.15-1) unstable; urgency=low

  * New upstream release.
  * Update Dependencies on python-amqp to (>= 1.4.5).
  * Add python-redis to Build-Depends to allow tests for the redis transport
    to run and add it to Suggests to for anyone who uses it as a transport.
  * Add python-msgpack to Build-Depends in order to enable further tests.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 14:13:53 +0200

kombu (3.0.14-1) unstable; urgency=low

  * New upstream release.
  * Make Depends and Build-Depends on python-pymongo versioned (>=
    2.6.2), thanks to Benjamin Drung.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Add patch to remove usage of remote-hosted images in documentation.
  * Remove .PHONY declarations from debian/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Thu, 10 Apr 2014 13:14:55 +0200

kombu (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh remove_nose-cover3.patch.
  * Drop remove_nose-cover3.patch, no longer needed.
  * Bump Build-Depends and Depends on python-ampq to >= 1.4.3.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 11:10:49 +0100

kombu (3.0.7-1) unstable; urgency=low

  * New upstream release.
  * No longer supports python 2.5, reflect in X-Python-Version.
  * Bump Standards version to 3.9.5.
  * Bump Depends and Build-Depends on python-amqp to >= 1.3.3.
  * Bump upper version limit for Build-Depends on python-amqp to (<<
    2.0).
  * Refresh patch.
  * README was renamed to README.rst.
  * Add kombu.egg-info/requires.txt do debian/clean.
  * Make Build-Depends on python-all and python-pika unversioned as no
    prior versions are available in Wheezy.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Dec 2013 11:22:10 +0100

kombu (2.5.15-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 07 Oct 2013 11:40:35 +0200

kombu (2.5.14-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper Build-Depends to >= 8.1.0~.
  * Bump Standards version to 3.9.4.
  * Bump Depends and Build-Depends on python-amqp to >= 1.0.13.
  * Add python-librabbitmq to Build-Depends and Depends as the preferred
    alternative to python-amqp.
  * Add python-beanstalkc to Build-Depends and Suggests.
  * Drop temporary workaround for Metadata-Version in d/rules.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Sep 2013 19:40:58 +0200

kombu (2.5.12-1) unstable; urgency=low

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.
  * Now depending on new python-amqp instead of python-amqplib.

  [ Jakub Wilk <jwilk@debian.org> ]
  * Use canonical URIs for Vcs-* fields.

  [ Michael Fladischer <FladischerMichael@fladi.at> ]
  * Bump dependency on python-anyjson to >= 0.3.3.
  * Refresh patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jun 2013 09:32:47 +0000

kombu (2.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 23 Apr 2012 15:20:01 +0200

kombu (2.1.2-1) unstable; urgency=low

  * New upstream release.
  * Update years in d/copyright.
  * Bump to standards version 3.9.3.
  * Update DEP-5 URL to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 27 Mar 2012 16:54:58 +0100

kombu (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #611895).
  * Add python-pika, python-sqlalchemy and python-django to Suggests/B-D
    because of new transports.
  * Increase X-Python-Version because python 2.4 is not longer supported
    by upstream in 2.x releases.
  * Add python-mock to B-D because tests require it.
  * Make Metadata-Version fix more generic.
  * Change order of my name.
  * Update patch.
  * Add NEWS file to inform about backwards-incompatible changes to transports.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 22 Feb 2012 15:11:14 +0200

kombu (1.4.3-1) unstable; urgency=low

  [ Fladischer Michael ]
  * New upstream release.
  * Temporary fix for Metadata-Version in PKG-INFO.

  [ Jakub Wilk ]
  * Bump minimum required python-sphinx version to 1.0.7+dfsg.

  [ Fladischer Michael ]
  * Fix whitespace in versioned dependencies.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Thu, 17 Nov 2011 10:56:00 +0100

kombu (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-anyjson (>=0.3.1), therefor no longer recommend
    python-simplejson.
  * Remove ${python:Breaks} as dh_python2 no longer needs it.
  * Bumped Standards-Version to 3.9.2 (no change necessary).
  * Add version to Breaks: python-cjson (<= 1.0.5-4+b1).
  * Add python-boto to dependencies.
  * Clean up after build.
  * Use dh_sphinxdoc.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 05 Sep 2011 23:18:16 +0200

kombu (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #611809)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Mon, 07 Mar 2011 12:53:13 +0200